Run of fresh-snapshots for libdbi-test-perl

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
Using upstream branch https://github.com/perl5-dbi/DBI-Test.git (from configuration)
Total 1232 (delta 0), reused 0 (delta 0), pack-reused 1232
Using version string 0.001+git20140316.1.297a33a.
No upstream upstream-revision format specified, trying tag:0.001
No upstream upstream-revision format specified, trying tag:libdbi-test-perl-0.001
No upstream upstream-revision format specified, trying tag:v0.001
No upstream upstream-revision format specified, trying tag:v.0.001
No upstream upstream-revision format specified, trying tag:release-0.001
No upstream upstream-revision format specified, trying tag:0_001_release
No upstream upstream-revision format specified, trying tag:0_001
No upstream upstream-revision format specified, trying tag:version-0.001
No upstream upstream-revision format specified, trying tag:libdbi-test-perl-0_001-release
No upstream upstream-revision format specified, trying tag:libdbi-test-perl-v0.001
Old upstream version '0.001' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/perl5-dbi/DBI-Test.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Looking for upstream 0.001+git20140316.1.297a33a in upstream branch https://github.com/perl5-dbi/DBI-Test.git/.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python310.zip:/usr/lib/python3.10:/usr/lib/python3.10/lib-dynload:/usr/local/lib/python3.10/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorx0kxhnb9/libdbi-test-perl/debian
Opened schroot session unstable-amd64-sbuild-e11cee75-ec62-4f3a-b3aa-292d99c756a7 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13)', 'libmodule-pluggable-perl,\n                     perl']
Ignoring error installing declared build dependencies (apt-file-fetch-failure): Apt file fetch error: 404  Not Found [IP: 199.232.150.132 80]
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, bioconductor, octave-forge]
Running ['perl', 'Makefile.PL']
Identified error: MissingPerlModule(filename='Module/Pluggable/Object.pm', module='Module::Pluggable::Object', inc=['lib', '/etc/perl', '/usr/local/lib/x86_64-linux-gnu/perl/5.34.0', '/usr/local/share/perl/5.34.0', '/usr/lib/x86_64-linux-gnu/perl5/5.34', '/usr/share/perl5', '/usr/lib/x86_64-linux-gnu/perl-base', '/usr/lib/x86_64-linux-gnu/perl/5.34', '/usr/share/perl/5.34', '/usr/local/lib/site_perl'], minimum_version=None)
Attempting to use fixer upstream requirement fixer([apt, cpan, ctan, pypi, npm, go, hackage, cran, bioconductor, octave-forge]) to address MissingPerlModule(filename='Module/Pluggable/Object.pm', module='Module::Pluggable::Object', inc=['lib', '/etc/perl', '/usr/local/lib/x86_64-linux-gnu/perl/5.34.0', '/usr/local/share/perl/5.34.0', '/usr/lib/x86_64-linux-gnu/perl5/5.34', '/usr/share/perl5', '/usr/lib/x86_64-linux-gnu/perl-base', '/usr/lib/x86_64-linux-gnu/perl/5.34', '/usr/share/perl/5.34', '/usr/local/lib/site_perl'], minimum_version=None)
Loading apt contents information
Killed
Command 'SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python310.zip:/usr/lib/python3.10:/usr/lib/python3.10/lib-dynload:/usr/local/lib/python3.10/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorx0kxhnb9/libdbi-test-perl/debian' returned non-zero exit status 137.

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=update deb-new-upstream --snapshot --refresh-patches to DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer pkg-perl-maintainers@lists.alioth.debian.org
  • ☒ change set 6786d544-5f94-4ff6-88e3-0481fbe00747 is working

Full worker log